Bug 20554 - "Need disk space" error
"Need disk space" error
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-11-08 22:33 EST by J W Moorhouse
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-19 14:24:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description J W Moorhouse 2000-11-08 22:33:39 EST
Initial attempt to install RH Linux 7.0 required, per the running tally 
kept during package selection, 685 MB. After beginning the actual 
installation and after the partitions had been reformatted, the installer 
said that /usr needed to be 23MB larger. At that time it was 776.5 MB, so 
apparently 800 MB was required. Backed up to package selection and pared my 
requests down to 613 MB and installation was successful.

After installation checked partition sizes and usage with PartitionMagic 
and found that total usage was 631.7 MB, of which 568.2 MB was /usr. 
Assuming 3% overhead for file system descriptors, etc, 97% of 631.7 MB is 
612.7 MB, indicating that the running tally kept during package selection 
was reasonably accurate. Given this, plus that /usr only needed 568.2 MB, 
not 800, installation should not have been halted for "insufficient disk 
space" on /usr.
Comment 1 Michael Fulbright 2000-11-13 14:54:01 EST
Passed to QA to reproduce.
Comment 2 Brock Organ 2000-11-14 15:14:33 EST
did your install require the second CD ...?  In multi-CD installs, a large file
(~90 Mb see RedHat/base/stage2.img) is temporarily transferred from CD to the
partition with the most space available ... this impacts the size required to
successfully install (even though the .img file is temporary) ...
Comment 3 J W Moorhouse 2000-11-14 21:17:33 EST
Yes: the second CD was required, although briefly. With my current size of 613MB 
the "/usr" partition shows s total size of 776.5MB with 207.6MB available. The 
"/" partition, incidentally, shows a total size of 407.9MB with 357.0MB 
available. Of course, the attempt that didn't work (685MB) was a somewhat 
different mix (basically the same, but with some editing and development tools 
added), but this suggests that perhaps the "/"  partition wasn't considered. 
Even if the additional 72MB had _all_ been in that partition, there would still 
have been plenty of room for a file ~90MB in size.

Another thought --- could the file have been written into the swap partition? 
Mine was only 62.7MB, but if it were usable and had been increased by 40MB, I 
could have installed a great deal more into my system.
Comment 4 Brock Organ 2000-11-29 09:07:39 EST
hmmm ... this sounds like a possible boundary condition with partition sizes
that is not easy to reproduce (we're not seeing it here in our test, but we're
not using the exact hardware or install steps either apparently) ...

being able to reproduce this more generically is the key to understanding what
may be going on ...
Comment 5 Michael Fulbright 2000-12-19 14:24:41 EST
Closing due to inactivity.
Comment 6 Dont Close Unfixed Bugs 2002-09-09 00:26:17 EDT
Bug 68486 is another copy of this.  It is still unfixed as of RH 7.3.
"Closed due to inactivity" indeed.  The word is incompetence -- or sloth
if you like a shorter one.

Note You need to log in before you can comment on or make changes to this bug.